Bug 221348 - [RHEL4] gnome-panel does not exit on logout
[RHEL4] gnome-panel does not exit on logout
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gnome-panel (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2007-01-03 18:44 EST by sa@tmt.ca.boeing.com
Modified: 2007-11-16 20:14 EST (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2007-0270
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-05-01 19:24:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
gdb (bt full) output of rogue gnome-panel/wnck-applet apps (20.96 KB, application/octet-stream)
2007-01-15 12:00 EST, sa@tmt.ca.boeing.com
no flags Details

  None (edit)
Description sa@tmt.ca.boeing.com 2007-01-03 18:44:54 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686 (x86_64); en-US; rv: Gecko/20060909 Firefox/

Description of problem:
We frequently see a condition where gnome-panel (and possibly gam_server)
does not exit when a user logs out.  The main problem this presents is
that when the user logs back in, another gnome-panel tries to launch and
there appears to be a conflict and the user will not see either 1) the
top menu panel and/or 2) the bottom panel (which is most frequent
behavior observed).  The problem with #1 is that the user does not have
the ability then to logout (other than to restart the X server).  In
the case of #2 he/she can add the missing items to the (empty) gray
panel below to regain functionality.  The workaround that we're having
to implement is to have the user exit his/her session, then kill off
any residual daemons (gnome-panel, gam_server, bonobo-activation-server,
wnck-applet) so that there are no user-owned daemons (or we reboot the
system) and then when the user logs back in all of his/her panels are
restored to their original condition.

Version-Release number of selected component (if applicable):

How reproducible:
Couldn't Reproduce

Steps to Reproduce:
1.Unable to reproduce

Actual Results:

Expected Results:

Additional info:
Here are the ps -ef entries for a recent failure condition.  User had
logged out, when he logged back in, his top panel (with Red Hat Applications,
Actions, application icons) was properly restored, but his panel at the
bottom of the screen was (empty) gray - i.e. no Show Desktop/Window List/Workspace Switcher was loaded in the bottom panel.  I had the user logout, then I killed the following rogue daemons.  He logged back in and all was fine.  Sadly we see this condition several times per week on different RHEL WS 4 systems with different users.

abc123   16094     1  0 07:00 ?        00:00:00 /usr/libexec/bonobo-activation-server --ac-activate --ior-output-fd=18
abc123   16175     1  0 07:00 ?        00:00:01 /usr/libexec/wnck-applet --oaf-activate-iid=OAFIID:GNOME_Wncklet_Factory --oaf-ior-fd=34
abc123   21032     1  0 15:22 ?        00:00:00 /usr/libexec/gam_server
abc123   21071     1  0 15:22 ?        00:00:00 gnome-panel --sm-config-prefix /gnome-panel-ErLqMe/ --sm-client-id 1188cba1c0000116525296700000033870001 --screen 0
Comment 1 Ray Strode [halfline] 2007-01-03 19:32:17 EST
gam_server isn't actually a problem.  It will go away on its own after ~30
seconds and won't conflict with new logins.

wnck-applet staying alive is probably why gnome-panel is staying alive.

This may be a duplicate of bug 200149.
Comment 2 sa@tmt.ca.boeing.com 2007-01-04 10:16:50 EST
The workaround (shown in Comment #2 of bug 200149) pretty much is what
we've had to implement (killing off the rogue gnome-panel, plus any
other residual user apps) in order to clear the hung condition.

Sadly we are unable to trigger this condition, so we don't have much to
offer as to what may cause this failure.  We had two instances just
yesterday alone on two different RHEL WS 4 systems.  messages file
(or dmesg) shows clean prior to the user logout and gnome-panel hang,
as is the case with previous hangs.

Are there any configuration changes we can make that might give us some
more verbose logging to assist in debugging this problem?  Thanks!
Comment 3 Ray Strode [halfline] 2007-01-04 14:22:39 EST
Would you mind installing gdb, and the -debuginfo packages associated with
libwnck, gnome-panel, and gnome-applets?

Then if you run

gdb attach $(/sbin/pidof gnome-panel)
bt full

gdb attach $(/sbin/pidof wnck-applet)
bt full

and paste the output, that would be useful
Comment 4 sa@tmt.ca.boeing.com 2007-01-10 15:48:57 EST
gnome-panel-debuginfo, libwnck-debuginfo, gnome-applets-debuginfo and
libwnck-debuginfo have been loaded.  We are waiting for the next failure
to do the gdb attach pid/bt full captures.

I ran both on a normally operating gnome-panel and wnck-applet and
got the following.  Is this what you would expect when things are
working normally?  I just want to make certain we have everything
properly loaded so that when we get a failure we can (hopefully) get
some useful information to pass along to you.

(gdb) bt full
#0  0x00000036217bd96f in poll () from /lib64/tls/libc.so.6
No symbol table info available.
#1  0x0000003623c2822e in g_main_context_acquire () from /usr/lib64/libglib-2.0.so.0
No symbol table info available.
#2  0x0000003623c28735 in g_main_loop_run () from /usr/lib64/libglib-2.0.so.0
No symbol table info available.
#3  0x000000312fe18511 in gtk_main () from /usr/lib64/libgtk-x11-2.0.so.0
No symbol table info available.
#4  0x000000000042169b in main (argc=7, argv=0x7fbffff768) at main.c:96
No locals.

(gdb) bt full
#0  0x00000036217bd96f in poll () from /lib64/tls/libc.so.6
No symbol table info available.
#1  0x0000003623c2822e in g_main_context_acquire () from /usr/lib64/libglib-2.0.so.0
No symbol table info available.
#2  0x0000003623c28735 in g_main_loop_run () from /usr/lib64/libglib-2.0.so.0
No symbol table info available.
#3  0x000000362772da7b in bonobo_main () from /usr/lib64/libbonobo-2.so.0
No symbol table info available.
#4  0x000000362772bd31 in bonobo_generic_factory_main_timeout () from
No symbol table info available.
#5  0x00000037838091a8 in panel_applet_factory_main_closure (iid=0x40fcb3
"OAFIID:GNOME_Wncklet_Factory", applet_type=5680896, closure=0x56b0e0)
    at panel-applet.c:1524
        retval = 5680896
        display_iid = 0x56b0e0 ":0.0,OAFIID:GNOME_Wncklet_Factory"
        data = (PanelAppletCallBackData *) 0x56b0c0
        __PRETTY_FUNCTION__ = "panel_applet_factory_main_closure"
#6  0x000000362171c3fb in __libc_start_main () from /lib64/tls/libc.so.6
No symbol table info available.
#7  0x0000000000407dda in _start ()
No symbol table info available.
#8  0x0000007fbffff4d8 in ?? ()
No symbol table info available.
#9  0x000000000000001c in ?? ()
No symbol table info available.
#10 0x0000000000000003 in ?? ()
No symbol table info available.
#11 0x0000007fbffff777 in ?? ()
No symbol table info available.
#12 0x0000007fbffff790 in ?? ()
No symbol table info available.
#13 0x0000007fbffff7c0 in ?? ()
No symbol table info available.
#14 0x0000000000000000 in ?? ()
No symbol table info available.
Comment 5 sa@tmt.ca.boeing.com 2007-01-15 12:00:13 EST
Created attachment 145585 [details]
gdb (bt full) output of rogue gnome-panel/wnck-applet apps
Comment 6 sa@tmt.ca.boeing.com 2007-01-15 12:06:15 EST
The above attachment is from a user session that exhibited the gray gnome-panel
problem.  Four daemons (bonobo-activation-server, gam_server, gnome-panel,
and wnck-applet) were still 'running' following a user logout.  The attachments
show gdb (bt full) traces for gnome-panel and wnck-applet.

If there is additional debug info you'd like us to capture for future hangs,
please advise.  As we encounter additional gnome-panel hangs, we'll provide
additional debug output attachments.

Hope this was of help!
Comment 7 Ray Strode [halfline] 2007-01-15 12:17:14 EST

From the backtrace it looks like bug 200149.  This is already fixed in RHEL-5.

Proposing for a RHEL 4.5 update.

Do you have an issue tracker ticket filed about this issue?  If so, do you know
the IT number?  If not, can you file a ticket and mention this bug report on the

Comment 8 RHEL Product and Program Management 2007-01-15 12:24:36 EST
The component this request has been filed against is not planned for inclusion
in the next update. The decision is based on weighting the priority and number
of requests for a component as well as the impact on the Red Hat Enterprise
Linux user-base: other components are considered having higher priority and the
number of changes we intend to include in update cycles is limited.
Comment 9 sa@tmt.ca.boeing.com 2007-01-15 12:30:08 EST
Ray:  I'm afraid I don't know what an Issue Tracker ticket is.  Can you
point me in the right direction to open such a ticket and I'll do so
promptly and will reference bug 200149.  This sure needs fixing in
RHEL 4.5, for it is a problem we've been fighting for quite
awhile and has been a source of much frustation from our user

Comment 10 Ray Strode [halfline] 2007-01-15 12:33:27 EST

You should be able to file a support ticket by logging into 


Comment 11 RHEL Product and Program Management 2007-01-15 12:41:31 EST
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request. 
Comment 14 Daniel Riek 2007-01-23 16:58:20 EST
This actually should have been approved ase gnome-panel is planned for inclusion
for RHEL 4.5. Sorry for the cconfusion.
Comment 15 sa@tmt.ca.boeing.com 2007-01-23 17:04:58 EST
Thank you VERY MUCH for this clarification. This is excellent news, indeed!
We will look forward for this update in RHEL 4.5.

Ray--thanks for your help on this one.  We'll deal with the bug until the
update is released, but for now we can close this case.  Thanks!  Randy
Comment 18 Xiaohong Wang 2007-02-14 02:20:43 EST
Verified in locale i386 and x86_64 systems with gnome-panel-2.8.1-5.el4 it
always die on ctrl-alt-backspace. 
Comment 21 Red Hat Bugzilla 2007-05-01 19:24:48 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.